<?php
/**
 * Createing an about us pannel for customizer
 */
// START ABOUT SECTION 
$wp_customize->add_section(
    'lz_fitness_premium_ourfeatureshmp_section',
    array(
        'title' => __( 'Our Pets Section', 'luzuk-premium' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
    // ENABLE/DISABLE FEATURED SECTION
$wp_customize->add_setting(
    'lz_fitness_premium_ourfeatureshmp_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_premium_ourfeatureshmp_section_disable',
        array(
            'settings'      => 'lz_fitness_premium_ourfeatureshmp_section_disable',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'features', 'lz_fitness_premium_ourfeatureshmp_section', $color='#3b3634', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'lz_fitness_sec_ourpetssectionpadding', 'lz_fitness_premium_ourfeatureshmp_section', 'Set Padding For Our Pets Section:');

$wp_customize->add_setting(
    'sec_ourpetssectionTpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '9em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionTpadding',
    array(
        'settings'      => 'sec_ourpetssectionTpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_ourpetssectionBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '7em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionBpadding',
    array(
        'settings'      => 'sec_ourpetssectionBpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Section Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_ourpetssectionLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionLpadding',
    array(
        'settings'      => 'sec_ourpetssectionLpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Section Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_ourpetssectionRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetssectionRpadding',
    array(
        'settings'      => 'sec_ourpetssectionRpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Section Right Padding', 'lz-fitness-premium' )
    )
);



lzCustomLable($wp_customize, 'lz_fitness_centerimagefeaturesbx', 'lz_fitness_premium_ourfeatureshmp_section', 'Background Image Dispaly For Section Title & Sub Title Box:');

// to show & hide another button
$wp_customize->add_setting( 'featuresectionstitlebgimage_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'featuresectionstitlebgimage_display', array( 'label' => 'Background Image Display', 'section' => 'lz_fitness_premium_ourfeatureshmp_section', 'settings' => 'featuresectionstitlebgimage_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Background Image', 'hide' => 'Hide Background Image', ), ) ); 


$wp_customize->add_setting('lz_fitness_premium_featurescenterimage_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_premium_featurescenterimage_section_lbl',
        array(
            'settings'      => 'lz_fitness_premium_featurescenterimage_section_lbl',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Note:', 'InsideTours' ),    
            'description'   => __( '*Required Background Image Of Size 200*180 pixels', 'InsideTours' ),
        )
    )
);
$wp_customize->add_setting(
        'lz_fitness_featuresectionsttl_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_featuresectionsttl_image_heading',
            array(
                'settings'      => 'lz_fitness_featuresectionsttl_image_heading',
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'label'         => __( 'Set Title & Subtitle Box Background Image & Its Position From Top', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_featuresectionsttl_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_featuresectionsttl_image',
            array(
                'section' => 'lz_fitness_premium_ourfeatureshmp_section',
                'settings' => 'lz_fitness_featuresectionsttl_image',
                'description' => __('Recommended Image Size: 200X180px', 'lz-fitness-premium')
            )
        )
    );

$wp_customize->add_setting(
    'sec_featuresectiontitleimage',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '107px', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_featuresectiontitleimage',
    array(
        'settings'      => 'sec_featuresectiontitleimage',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Set Title & Subtitle Box Background Image Position From Top', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'lz_fitness_features_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_features_title_heading',
        array(
            'settings'      => 'lz_fitness_features_title_heading',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Section Title & Subtitle', 'luzuk-premium' ),
        )
    )
);  

lzAddElement($wp_customize, 'lz_fitness_ourfeatureshmp_sub_title', 'lz_fitness_premium_ourfeatureshmp_section', 'text', $label="Sub Title", 'lz_fitness_sanitize_text', 'We Love These Pets');

addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_MainsubHeadingColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Section Sub Title color ', '#fbb34d');
addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_MainsubHeadingbrsColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Section Sub Title Border color ', '#fbb34d');
$wp_customize->add_setting(
    'lz_fitness_ourfeatureshmp_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Pets We Takecare', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_ourfeatureshmp_title',
    array(
        'settings'      => 'lz_fitness_ourfeatureshmp_title',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Title for Section', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_MainHeadingColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Section Title color ', '#fff');




lzCustomLable($wp_customize, 'lz_fitness_sec_ourpetssectionboxpadding', 'lz_fitness_premium_ourfeatureshmp_section', 'Set Padding For Our Pets Box:');

$wp_customize->add_setting(
    'sec_ourpetsboxsectionTpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetsboxsectionTpadding',
    array(
        'settings'      => 'sec_ourpetsboxsectionTpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Box Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_ourpetsboxsectionBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetsboxsectionBpadding',
    array(
        'settings'      => 'sec_ourpetsboxsectionBpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Box Bottom Padding', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'sec_ourpetsboxsectionLpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetsboxsectionLpadding',
    array(
        'settings'      => 'sec_ourpetsboxsectionLpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Box Left Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'sec_ourpetsboxsectionRpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'sec_ourpetsboxsectionRpadding',
    array(
        'settings'      => 'sec_ourpetsboxsectionRpadding',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'text',
        'label'         => __( 'Our Pets Box Right Padding', 'lz-fitness-premium' )
    )
);


$wp_customize->add_setting('lz_fitness_ourpetsslb_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_ourpetsslb_section_lbl',
        array(
            'settings'      => 'lz_fitness_ourpetsslb_section_lbl',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Note:', 'InsideTours' ),    
            'description'   => __( 'Changes will not reflect unless you select an image', 'InsideTours' ),
        )
    )
);

$wp_customize->add_setting('lz_fitness_ourfeatureshmp_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_ourfeatureshmp_npp_heading',
        array(
            'settings'      => 'lz_fitness_ourfeatureshmp_npp_heading',
            'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
            'label'         => __( 'Number Of Pets To Show', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_ourfeatureshmp_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
    'lz_fitness_ourfeatureshmp_npp_count',
    array(
        'settings'      => 'lz_fitness_ourfeatureshmp_npp_count',
        'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
        'type'          => 'select',
        'label'         => __( 'Number of pets to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//about PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_ourfeatureshmp_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_ourfeatureshmp_header'.$i,
            array(
                'settings'      => 'lz_fitness_ourfeatureshmp_header'.$i,
                'section'       => 'lz_fitness_premium_ourfeatureshmp_section',
                'label'         => __( 'Our Pets Page ', 'luzuk-premium' ).$i
            )
        )
    );
    lzAddImageElement($wp_customize, 'lz_fitness_ourfeatureshmp_page_icon'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $label="Recommended Image Size: 170X170px");

    lzAddElement($wp_customize, 'lz_fitness_ourfeatureshmp_page_title_'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Pets We Takecare');

    lzAddElement($wp_customize, 'lz_fitness_ourfeatureshmp_page_description_'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $type = 'textarea', $label="Description", $callback ='lz_fitness_sanitize_text', $default='Lorem ipsum simply free text in the market');

    lzAddElement($wp_customize, 'lz_fitness_ourfeatureshmp_page_url_'.$i, 'lz_fitness_premium_ourfeatureshmp_section', $type = 'text', $label="Link", $callback ='esc_url', $default='Add link here');
}
  //main Heading color
addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_petsimhhvrbrsColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Image Hover Border color ', '#ff7c4e');
addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_petsimhhvroverlaybgssColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Image Hover Overlay Background color ', '#ff7c4e');


addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_pagettlColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Pets Name Text color ', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_pagettlbrssColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Pets Name Text Hover Border color ', '#ff7c4e');

addColorPalatOption($wp_customize, 'lz_fitness_ourfeatureshmp_pagetextColor', 'lz_fitness_premium_ourfeatureshmp_section', 'Pets Description Text color ', '#fff');

